com.r3corda.core.contracts / ScheduledStateRef

# ScheduledStateRef

`data class ScheduledStateRef : Scheduled`

Represents a contract state (unconsumed output) of type LinearState and a point in time that a lifecycle event is expected to take place for that contract state.

This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

### Constructors

<init> | `ScheduledStateRef(ref: StateRef, scheduledAt: Instant)` Represents a contract state (unconsumed output) of type LinearState and a point in time that a lifecycle event is expected to take place for that contract state.

### Properties

ref | `val ref: StateRef`
scheduledAt | `val scheduledAt: Instant`